org.apache.tomcat.util.modeler

## Class NotificationInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.FeatureInfo
  - - org.apache.tomcat.util.modeler.NotificationInfo

- All Implemented Interfaces:
    Serializable

      public class NotificationInfo
      extends FeatureInfo

  Internal configuration information for a `Notification` descriptor.

  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `notifTypes`
    `protected ReadWriteLock` | `notifTypesLock`

    - ### Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo

      `description, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotifType(String notifType)` Add a new notification type to the set managed by an MBean.
    `MBeanNotificationInfo` | `createNotificationInfo()` Create and return a `ModelMBeanNotificationInfo` object that corresponds to the attribute described by this instance.
    `String[]` | `getNotifTypes()`
    `void` | `setDescription(String description)` Override the `description` property setter.
    `void` | `setName(String name)` Override the `name` property setter.
    `String` | `toString()` Return a string representation of this notification descriptor.

    - ### Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo

      `getDescription, getName, getType, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### notifTypes

          protected String[] notifTypes

    - #### notifTypesLock

          protected final ReadWriteLock notifTypesLock

  - ### Constructor Detail

    - #### NotificationInfo

          public NotificationInfo()

  - ### Method Detail

    - #### setDescription

          public void setDescription(String description)

      Override the `description` property setter.
      Overrides:
        `setDescription` in class `FeatureInfo`
      Parameters:
        `description` - The new description

    - #### setName

          public void setName(String name)

      Override the `name` property setter.
      Overrides:
        `setName` in class `FeatureInfo`
      Parameters:
        `name` - The new name

    - #### getNotifTypes

          public String[] getNotifTypes()

      Returns:
        the set of notification types for this MBean.

    - #### addNotifType

          public void addNotifType(String notifType)

      Add a new notification type to the set managed by an MBean.
      Parameters:
        `notifType` - The new notification type

    - #### createNotificationInfo

          public MBeanNotificationInfo createNotificationInfo()

      Create and return a `ModelMBeanNotificationInfo` object that corresponds to the attribute described by this instance.
      Returns:
        the notification info

    - #### toString

          public String toString()

      Return a string representation of this notification descriptor.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.